commit df772cc4eaf4a5b2b848ab6fe909ab570dab115b
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Aug 7 00:18:20 2024 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 6d5c1ccf547..c6bde7bd3e7 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,18 @@
+2024-08-06  John David Anglin  <danglin@gcc.gnu.org>
+
+	PR target/113384
+	* config/pa/pa.cc (hppa_legitimize_address): Add check to
+	ensure constant is an integral multiple of shift the value.
+
+2024-08-06  Andrew Pinski  <quic_apinski@quicinc.com>
+
+	Backported from master:
+	2024-08-06  Andrew Pinski  <quic_apinski@quicinc.com>
+
+	PR target/116189
+	* config/sh/sh.cc (sh_recog_treg_set_expr): Don't call make_insn_raw,
+	make the insn with a fake uid.
+
 2024-07-29  Haochen Jiang  <haochen.jiang@intel.com>
 
 	* config/i386/avx512dqintrin.h (_mm_reduce_round_sd): Use
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index f2c439e6ce5..0795b809c24 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20240806
+20240807
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 14be547c984..fde67e61e70 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2024-08-06  Andrew Pinski  <quic_apinski@quicinc.com>
+
+	Backported from master:
+	2024-08-06  Andrew Pinski  <quic_apinski@quicinc.com>
+
+	PR target/116189
+	* c-c++-common/torture/pr116189-1.c: New test.
+
 2024-08-05  Paul Thomas  <pault@gcc.gnu.org>
 
 	Backported from master:

